<template>
    <v-chart ref="echart" :options="chart_options" autoresize></v-chart>
</template>

<script>
import chart_colors from "./chart_colors";
export default {
    name: "CircleProgressChart",
    props: {
        chart_data: Array
    },
    watch: {
        chart_data(data){
            this.chart_options.series[0].data = data;
        }
    },
    data(){
        return {
            chart_options: {
                series: [
                    {
                        name: 'chart',
                        type: 'pie',
                        top: 0,
                        left: 0,
                        width: 30,
                        height: 30,
                        hoverOffset: 0,
                        startAngle: 90,
                        clockwise: true,
                        radius: ['60%', '100%'],
                        center: ['50%', '50%'],
                        label: {
                            show: false,
                        },
                        data: [
                            {
                                value: 50,
                                name: 'a',
                                itemStyle: {
                                    color: chart_colors.green_gradient
                                }
                            },
                            {
                                value: 50,
                                name: 'b',
                                itemStyle: {
                                    color: chart_colors.gray
                                }
                            },
                        ]
                    }
                ],
            }
        }
    },
    mounted() {
        if(Array.isArray(this.chart_data) && this.chart_data.length){
            this.chart_options.series[0].data = this.chart_data;
        }
    }
}
</script>

<style scoped>
.echarts {
    width: 30px;
    height: 30px;
	margin: 0 auto;
}
</style>
